<div class="login">
  <header>
    <div class="title">Hello, <span class="user-name">{{userName}}!</span></div>
    <div class="sub-title">You have {{wishlist.length}} items in your <a href="">wishlist</a>.</div>
  </header>

  <form class="login-form" [formGroup]="loginForm" (ngSubmit)="submit(loginForm)">
    <div class="input-item"
         [ngClass]="{'show-err': loginForm.get('name').invalid && loginForm.get('name').touched}">
      <label for="name">Name</label>
      <input type="text" id="name" formControlName="name" autocomplete="name"
             placeholder="Full Name" required>
      <div class="error-msg">Please enter your name.</div>
    </div>

    <div class="input-item"
         [ngClass]="{'show-err': loginForm.get('email').invalid && loginForm.get('email').touched}">
      <label for="name">Email</label>
      <input type="email" id="email" formControlName="email" autocomplete="email"
             placeholder="Email" required>
      <div class="error-msg">Please enter your email.</div>
    </div>

    <div class="input-item"
    [ngClass]="{'show-err': loginForm.get('password').invalid && loginForm.get('password').touched}">
      <label for="password">Password</label>
      <input type="password" id="password" formControlName="password" autocomplete="current-password"
             placeholder="Email" required>
      <div class="error-msg">Password must be at least 6 characters and include only letters and numbers.</div>
    </div>

    <a class="forgot-password" href="">Forgot Password?</a>

    <button type="submit" class="btn btn-primary login-btn" [disabled]="loginForm.invalid">Login</button>
  </form>

</div>
